Subject: bug#79353: 31.0.50; Eager macro expansion errors when building master

From: Gerd Möllmann <[email-masked]>
Date: Sun, 31 Aug 2025 16:03:39 +0200

"J.D. Smith" <[email-masked]> writes:

> *Question*:
>
> In the lisp/net/tramp-loaddefs.el file which was generated during this
> build, what do you see under:
>
>   ;;; Generated autoloads from tramp-adb.el

This is the tramp-loaddefs.el after building from git clean -xdf

> Can you try a build again with `make bootstrap' and see whether the
> warning disappears and if that section of lisp/net/tramp-loaddefs.el
> changes?  My guess is this is a harmless warning.

The errors are the same, and here's tramp-loaddefs.el after bootstrap